#include <iostream>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    int n,masiv[100001],br,obshto=0,j=0,pluskolko=0;
    cin>>n;
    cin>>masiv[0];
    cin>>masiv[1];
    for(int i=1;i<n;){
        while(masiv[i]>masiv[i-1] && i<n){
            pluskolko+=2;
            obshto+=pluskolko;
            i++;
            if(i!=n){
                cin>>masiv[i];
            }
        }
        pluskolko=0;
        while(masiv[i]<masiv[i-1] && i<n){
            pluskolko+=2;
            obshto+=pluskolko;
            i++;
            if(i!=n){
                cin>>masiv[i];
            }
        }
        pluskolko=0;
    }
    cout<<obshto<<endl;
    return 0;
}
